%define	modname	Template-Toolkit
%define modver 2.26
%define	__noautoreq 'perl\\(CGI\\)'

Name:		perl-%{modname}
Version:	%perl_convert_version %{modver}
Release:	1

Summary:	%{modname} module for perl

License:	GPL
Group:		Development/Perl
URL:		http://www.template-toolkit.org
Source0:	http://www.cpan.org/modules/by-module/Template/%{modname}-%{modver}.tar.gz

BuildRequires:	perl-devel >= 0:5.600
BuildRequires:	perl(AppConfig) >= 1.56
BuildRequires:	perl(File::Spec) >= 0.8
BuildRequires:	perl(File::Temp) >= 0.12
BuildRequires:	perl(Pod::POM) >= 0.1
BuildRequires:	perl(Text::Autoformat) >= 1.03

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

%prep
%setup -q -n %{modname}-%{modver} 

# perl path hack
find ./ -type f | \
    xargs perl -pi -e 's|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|'

%build
perl Makefile.PL \
    TT_XS_ENABLE="y" \
    TT_XS_DEFAULT="y" \
    INSTALLDIRS=vendor </dev/null
%make CFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%doc README Changes TODO HACKING
%{perl_vendorarch}/Template*
%{perl_vendorarch}/auto/Template
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Fri Sep 26 2014 dsilakov <denis.silakov@rosalab.ru> 2.260.0-1
+ Revision: 3bcc601
- Merge pull request #2 from import/perl-Template-Toolkit:auto_update
- ROSA Updates Builder: update suggested


